﻿@font-face {
    font-family: 'ctx';
    src: url('/Styles/font/ctx.eot?46728i');
    src: url('/Styles/font/ctx.eot?46728i#iefix') format('embedded-opentype'), url('/Styles/font/ctx.woff?46728i') format('woff'), url('/Styles/font/ctx.ttf?46728i') format('truetype'), url('/Styles/font/ctx.svg?46728i#ctx') format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: block;
}

html.overflowHidden {
    overflow: hidden;
}

.popup_overlay {
    position: fixed;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    justify-content: center;
    align-items: flex-start;
    padding: 40px;
    display: flex;
    transform: translateY(100vh);
    z-index: 1111;
    transition: background-color .8s;
    color: white;
}


    .popup_overlay.visible {
        transform: translateY(0vh);
        background-color: #000;
        background-color: rgba(0, 0, 10, .6);
        backdrop-filter: blur(10px);
        -webkit-backdrop-filter: blur(10px);
    }

    .popup_overlay.fullscreen {
        padding: 0;
        background-color: rgba(0, 0, 10, .8);
    }


.popup_wrapper {
    position: relative;
    max-width: 980px;
    width: 100%;
    max-height: 100%;
    background: #fff;
    border-radius: 3px;
    overflow: hidden;
    transform: translateY(100vh);
    transition: transform .3s;
    will-change: transform;
}

@supports (display: grid) {
    .popup_wrapper {
        display: grid;
        grid-template-columns: 1fr 60px;
        grid-template-rows: auto 1fr;
        grid-template-areas:
            "title close"
            "content content";
    }
}

.popup_overlay.visible .popup_wrapper {
    box-shadow: 0 2px 26px rgba(0,0,50,.4);
    transform: translateY(0vh);
}

.popup_overlay.fullscreen .popup_wrapper {
    height: 100%;
    max-width: 100%;
    grid-template-rows: 0px 1fr;
    border-radius: 0;
}

.popup_wrapper .popup-close_button.main_button {
    height: 60px;
    text-align: center;
    text-decoration: none;
    color: #a3a3a8;
    border: 0;
    margin: 0;
    padding: 0;
    background-color: rgba(0, 0, 0, 0);
    text-shadow: 0 1px 0 #fff, 0 -1px 0 #fff, 1px 0 0 #fff, -1px 0 0 #fff;
    width: 60px;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 5;
}

    .popup_wrapper .popup-close_button.main_button span {
        font-size: 40px;
        line-height: 60px;
    }

.popup_overlay.transparent .popup_wrapper .popup-close_button.main_button:hover, .popup_overlay.dark .popup_wrapper .popup-close_button.main_button:hover {
    color: #e43b00;
}

.popup_overlay.transparent .popup_wrapper, .popup_overlay.dark .popup_wrapper {
    background: rgba(0, 0, 0, 0);
    /*    color: #fff;*/
}

/*.popup_overlay.fullscreen .popup_wrapper .popup-title {
    display: none;
}*/

.popup_wrapper .popup-content {
    overflow: auto;
    text-align: left;
    max-height: 80vh;
}

@supports (display: grid) {
    .popup_wrapper .popup-content {
        max-height: unset;
        grid-area: content;
    }
}

@supports (display: grid) {
    .popup_wrapper .popup-content {
        max-height: unset;
        grid-area: content;
    }
}

.popup_wrapper .popup-content .popup_real_content {
    padding: 0 20px 20px;
    color: black;
}



@media only screen and (max-width: 1020px) {
    .popup_wrapper .popup-content .popup_real_content {
        padding: 0 10px 10px;
    }
}

.popup_overlay .popup_real_content {
    display: flex;
    justify-content: center;
    align-items: center;
}

.popup_overlay.fullscreen .popup_wrapper .popup-content, .popup_overlay.fullscreen .popup_wrapper .popup_real_content {
    overflow: hidden;
    height: 100%;
}

.popup_overlay .popup_real_content .related_cards {
    width: 100%;
}

.ctx_font {
    font-family: 'ctx' !important;
    speak: none;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    display: inline-block;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.ctx_font_remove:before {
    content: "\e93c";
}


#popupOpeningTime .monthList {
    display: flex;
    justify-content: center;
   /* margin-bottom: 10px;*/
    flex-wrap: wrap;
    width:100%;
}

#popupOpeningTime .monthList .month{
    width:24%;
    margin-right:1%;
    margin-bottom:35px;
}

.popup_wrapper .popup-title {
    font-weight: bold;
    line-height: 1.2em;
    padding: 20px;
    font-size: 1.3333rem;
    color:black;
}

@supports (display: grid) {
    .popup_wrapper .popup-title {
        grid-area: title;
    }
}